pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume() from source_write_volume_cb() from source_set_port_cb() from pa_source_process_msg() from source_process_msg()

Bug #1562817 reported by TBS on 2016-03-28
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
Daniel van Vugt
Xenial
Undecided
Unassigned

Bug Description

https://errors.ubuntu.com/problem/3bb5044276ea358334e8e662559a1cbd45240cd9

---

[Impact]
pulseaudio daemon crashes, interrupting sound output/input.

[Test Case]
Theoretical test case (crash does not happen for all users):
1. Find some headphones and/or microphone. Ensure you do not wear the
   headphones during the test as it may be loud.
2. Set audio output/input volumes to maximum.
3. Unplug and replug the headphones/microphone.
4. Check that that pulseaudio process is still running, with a start time
   older than when you began this test case.

[Regression Potential]
Low. This SRU affects the pulseaudio daemon only so the worst case would be loss of sound output/input. The same patches have been released to
17.10 for a month already and zero regressions of the crashes have
occurred worldwide since then.

[Other Info]
Debdiff patch is attached to the most prolific bug 1539209.

[Original Description]

This error is there when i get back to the computer after a while of no use, and at login after restart. haven't seen this error while the system is "active"/in use.

I have been unable to provoke the error to come.

I'm not sure it is related, but when i plug in a headset, the audio volume goes through the roof, and a loud (painfully so) scratching sound is coming from the headset until i press Vol+. Vol- does nothing till i have pressed up at least once.
But the bug report thing does not pop up when the sound issue is there.

Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04

pulseaudio:
  Installed: 1:8.0-0ubuntu2
  Candidate: 1:8.0-0ubuntu2
  Version table:
 *** 1:8.0-0ubuntu2 500
        500 http://dk.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: pulseaudio 1:8.0-0ubuntu2
ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
Uname: Linux 4.4.0-15-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tbs 22776 F.... pulseaudio
CrashCounter: 1
CurrentDesktop: Unity
Date: Mon Mar 28 12:39:45 2016
ExecutablePath: /usr/bin/pulseaudio
InstallationDate: Installed on 2016-01-14 (73 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 pa_alsa_path_set_volume () from /usr/lib/pulse-8.0/modules/libalsa-util.so
 ?? () from /usr/lib/pulse-8.0/modules/libalsa-util.so
 ?? () from /usr/lib/pulse-8.0/modules/libalsa-util.so
 pa_source_process_msg () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecore-8.0.so
 ?? () from /usr/lib/pulse-8.0/modules/libalsa-util.so
Title: pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume()
UpgradeStatus: Upgraded to xenial on 2016-03-19 (8 days ago)
UserGroups: adm cdrom dialout dip lp lpadmin plugdev root sambashare sudo vboxusers
dmi.bios.date: 09/18/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: G5ETA3WW (2.63 )
dmi.board.asset.tag: Not Available
dmi.board.name: 244743G
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG5ETA3WW(2.63):bd09/18/2015:svnLENOVO:pn244743G:pvrThinkPadW530:rvnLENOVO:rn244743G:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 244743G
dmi.product.version: ThinkPad W530
dmi.sys.vendor: LENOVO

TBS (t-schmeltzer) wrote :
TBS (t-schmeltzer) on 2016-03-28
summary: - This error is there when i get back to the computer after a while of no
- use, and at login after restart. haven't seen this error while the
- system is "active"/in use.
+ PulseAudio crash is there when i get back to the computer after a while
+ of no use

StacktraceTop:
 pa_alsa_path_set_volume (p=<optimized out>, m=0x12f67b0, cm=cm@entry=0x12188ec, v=v@entry=0x7f3971cdfa50, deferred_volume=deferred_volume@entry=true, write_to_hw=write_to_hw@entry=true) at modules/alsa/alsa-mixer.c:1219
 source_write_volume_cb (s=0x1218870) at modules/alsa/alsa-source.c:1250
 source_set_port_cb (s=0x1218870, p=<optimized out>) at modules/alsa/alsa-source.c:1382
 pa_source_process_msg (object=object@entry=0x1218870, code=code@entry=18, userdata=userdata@entry=0x7ffe6cdfb400, offset=offset@entry=0, chunk=chunk@entry=0x0) at pulsecore/source.c:2226
 source_process_msg (o=0x1218870, code=18, data=0x7ffe6cdfb400, offset=0, chunk=0x0) at modules/alsa/alsa-source.c:1086

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public
summary: - PulseAudio crash is there when i get back to the computer after a while
- of no use
+ pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume() from
+ source_write_volume_cb() from source_set_port_cb() from
+ pa_source_process_msg() from source_process_msg()
Changed in pulseaudio (Ubuntu):
importance: Medium → High
description: updated
tags: added: yakkety zesty
Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

Bumped importance to reflect the high frequency with which this crash is occurring in recent Ubuntu releases:
https://errors.ubuntu.com/?package=pulseaudio&period=month

Changed in pulseaudio (Ubuntu):
importance: High → Critical
Daniel van Vugt (vanvugt) wrote :
Changed in pulseaudio (Ubuntu):
importance: Critical → High
Changed in pulseaudio (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:10.0-2ubuntu1

---------------
pulseaudio (1:10.0-2ubuntu1) artful; urgency=medium

  * Cherrypick fixes for common crashes from upstream:
    - cb78d6f5: SIGABRT in device_start_waiting_for_profiles (LP: #1690028,
      LP: #1672171)
    - d985276c: SIGABRT in pa_alsa_path_set_volume (LP: #1539209, LP: #1562817)
  * Enable modules that needn't be disabled:
    - module-role-cork: Now enabled per upstream defaults (LP: #1701688)
    - module-switch-on-connect: Enabled for seamless hotplugging (LP: #1702794)
  * Don't try to load sounds that don't exist in Kubuntu (LP: #1703334)
  * Merge latest debian changes (see below).

 -- Daniel van Vugt <email address hidden> Tue, 11 Jul 2017 16:57:16 +0800

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Hello TBS, or anyone else affected,

Accepted pulseaudio into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:8.0-0ubuntu3.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pulseaudio (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Brian Murray (brian-murray) wrote :

Does this also require fixing in Ubuntu 17.04?

tags: added: apport-crash
removed: rapport-crash
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:8.0-0ubuntu3.4

---------------
pulseaudio (1:8.0-0ubuntu3.4) xenial; urgency=medium

  * debian/control: Update Vcs fields to launchpad git.
  * Cherrypick fixes for common crashes from upstream:
    - cb78d6f5: SIGABRT in device_start_waiting_for_profiles (LP: #1690028,
      LP: #1672171)
    - d985276c: SIGABRT in pa_alsa_path_set_volume (LP: #1539209, LP: #1562817)

 -- Daniel van Vugt <email address hidden> Fri, 11 Aug 2017 15:16:57 +0800

Changed in pulseaudio (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers